Bug 891086 - [RFE] [engine]: improve power management proxy selection to accept IP or FQDN
[RFE] [engine]: improve power management proxy selection to accept IP or FQDN
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: RFEs (Show other bugs)
unspecified
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Andrew Cathrow
yeylon@redhat.com
infra
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-01-01 11:32 EST by Tareq Alayan
Modified: 2016-04-18 02:55 EDT (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-01 05:57:30 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Infra
RHEL 7.3 requirements from Atomic Host:
dyasny: Triaged+


Attachments (Terms of Use)

  None (edit)
Description Tareq Alayan 2013-01-01 11:32:41 EST
Description of problem:
User can set the proxy selection via API, GUI and rhevm-config 
the relevant parameter is FenceProxyDefaultPreferences.

FenceProxyDefaultPreferences can accept parameters like:
RHEVM,CLUSTER,DC
10.34.56.78,full.qualified.domain.name.com,DC

A validation pattern of the IP/FQDN and check that the host is legal and its
status is UP should be added. 
(if not , we will ignore that and continue to next option)


additional info:
This issue is derived from what wasn't implemented in 3.2  https://bugzilla.redhat.com/show_bug.cgi?id=747305
Comment 1 Eli Mesika 2013-06-30 09:21:47 EDT
IMHO this is a RFE not a bug
Comment 3 Itamar Heim 2013-12-01 05:57:30 EST
Closing old bugs. If this issue is still relevant/important in current version, please re-open the bug.

Note You need to log in before you can comment on or make changes to this bug.